* {
  margin: 0;
  box-sizing: border-box;
}

:root {
    --header-height: 0px;
    --background-image: url("/images/Logo.png");
}

body {
  background-color: rgb(236,221,185);
  font-family: Arial, sans-serif;
  width: 100%;
  height: 100%;
  overflow-x: auto;       /* immer horizontales Scrollen ermöglichen */
  overflow-y: auto;
  scrollbar-gutter: stable both-edges;  /* Scrollbar bleibt sichtbar, verhindert Layout-Sprung */
  scrollbar-color: auto;    /* Firefox */
  scrollbar-width: auto;
  z-index: 0;
}

body::before {
    content: "";
    position: fixed;
    inset: 0;
    top: var(--header-height);
    background: var(--background-image) center center / contain no-repeat;
    opacity: 0.2;
    pointer-events: none;
    z-index: -1;
}

header {
  background: linear-gradient(to right, #000000, #505050, #000000);
  /*background-color: #333;*/
  color: white;
  padding: 12px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 40;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
}

nav {
  position: relative;
}

.nav-links {
  display: none;
  gap: 16px;
  list-style: none;
  flex-direction: column;
  position: relative;
  right: 0;
  align-items: center;
  background-color: #333;
  width: 200px;
  padding: 10px;
  z-index: 40;
}

.nav-links.open {
  /*display: flex;*/
}

@media (min-width: 769px) {
  .nav-links {
    display: flex;
    flex-direction: row;
    position: static;
    background-color: transparent;
    width: auto;
    padding: 0;
  }
}

.nav-links a {
  color: white;
  text-decoration: none;
  padding: 6px 10px;
  border-radius: 4px;
}

.nav-links a:hover {
  background-color: #555;
}

/* Zustand: NICHT blockiert */
.tab-not-blocked {
  background-color: orange;
  color: black;
}

/* Zustand: blockiert */
.tab-blocked {
  background-color: lightblue;
  color: black;
}

.title {
  border: 1px solid #C1C1C1;
  border-radius: 4px;
  position: sticky;
  left: 0;
  font-size: 1.5rem;
  font-weight: bold;
  margin-top: 3px;m
  /*padding-left: 5px;*/
  padding: 5px;
  /*padding-top: 5px;
  padding-bottom: 4px;*/
  background-color: rgb(236,221,185); /*#9FDF9C;*/
  /*width: 100%;*/
  width: fit-content;
  z-index: 29;
}

.burger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 4px;
}

.burger div {
  width: 25px;
  height: 3px;
  background-color: white;
}

@media (max-width: 768px) {
  .burger {
    display: flex;
  }
}

input[type="checkbox"]:focus {
    box-shadow: 0 0 0 2px #1976d2;
}

/*auschalten von Spinnerbuttons in id feldern*/
[id*="_id"]:disabled {
    -moz-appearance: textfield;
}

[id*="_id"]:disabled::-webkit-outer-spin-button,
[id*="_id"]:disabled::-webkit-inner-spin-button {
    -webkit-appearance: none !important;
    display: none !important;
}

.tableForm {
    display: flex;
    flex-wrap: nowrap;           /* ❗ alle Felder in einer Zeile */
    gap: 5px;
    width: max-content;
}

/*Elemente*/
/* für Highlighting in input feld*/
.input-error {
    background-color: #ffddddb3;
    /*border: 2px dashed #cc0000;*/
    text-decoration: underline wavy 1px #cc0000;
    text-underline-offset: 5px;
}

input:invalid {
    background-color: #ffddddb3;
    border-color: #cc0000;
}

input:valid {
    background-color: #ddffddb3;
}

input[type="checkbox"] {
    transform: scale(1.5);
    margin: 0 auto;             /* ← Checkbox horizontal ZENTRIERT */
    margin-top: 8px;
    padding-top: 3px;
    display: block;
}

label {
    font-weight: bold;
    margin-bottom: 2px; /* Abstand zwischen Label & Input */
}

input, select {
  padding: 2px;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 4px;
}

input[readonly] {
  background-color: #e0e0e0b3;
  cursor: pointer;
}

input[data-locked] {
    background-color: #E6B9F4B3 !important;
}




